<?php
/**
 * @package     mod_bm_k2_skitter
 * @author      brainymore.com
 * @email       brainymore@gmail.com
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Include the syndicate functions only once
require __DIR__ . '/defines.php';
require_once __DIR__ . '/helper.php';
require_once __DIR__ . '/libs/image.php';

$bm_skitter_articles = new ModBMK2Helper();                     
$list = $bm_skitter_articles->getList($params, $module);

if(!defined('SKITTER_LOAD_SCRIPT'))
{
    $bm_skitter_articles->loadScript($module, $params); 
    define('SKITTER_LOAD_SCRIPT', TRUE);
}

$bm_skitter_articles->addScript($module, $params); 

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

require JModuleHelper::getLayoutPath($module->module, $params->get('layout', 'default'));
