<?php
/**
 * @package     mod_bm_k2_skitter
 * @author      brainymore.com
 * @email       brainymore@gmail.com
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
if(!empty($list)):

	if(isset($slider_config_variable) && !empty($slider_config_variable))
	{
		$aa_configs = array();
		$slider_configs = '';
		foreach($slider_config_variable as $var_name=>$type)
		{
			if($type=='str')
				$aa_configs[] = $var_name . ':"' . $params->get($var_name, '') . '"';
			else 
				$aa_configs[] = $var_name . ':' . $params->get($var_name, '');
		}
		$slider_configs = implode(', 
					', $aa_configs);
	}
?>

    <div id="box_skitter_module_<?php echo $module->id?>" class="box_skitter">
        <ul>    
        <?php foreach ($list as $item) : ?> 
            <li>
                <a href="<?php echo $params->get('addLinkToImage')? $item->link : "#"; ?>" >
                    <img src="<?php echo htmlspecialchars($item->image); ?>" alt="<?php echo htmlspecialchars($item->title); ?>" class="cubeRandom" />
                </a>
                <div class="label_text"><p><a href="#" ><?php echo htmlspecialchars($item->title);?></a></p></div>
            </li>
        <?php endforeach; ?>                 
        </ul>
    </div>
        
    <script type="text/javascript" language="javascript">
        if (typeof jqbm != 'undefined') {	
            jqbm(document).ready(function() {
                jqbm('#box_skitter_module_<?php echo $module->id?>').skitter({
                    <?php echo $slider_configs;?>                
                });
            });
        }
    </script>
<?php else: ?>
	<div class="bm-nodata"><?php echo JText::_('Found no item!');?></div>
<?php endif;?>